Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2755113002: Create ReadingListSuggestionsProvider (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 months ago by gambard
Modified:
6 months, 3 weeks ago
CC:
asvitkine+watch_chromium.org, blundell+watchlist_chromium.org, chromium-reviews, droger+watchlist_chromium.org, ios-reviews_chromium.org, ios-reviews+chrome_chromium.org, marq+watch_chromium.org, noyau+watch_chromium.org, ntp-dev+reviews_chromium.org, pkl (ping after 24h if needed), sdefresne+watch_chromium.org, sdefresne+watchlist_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Create ReadingListSuggestionsProvider This CL creates the ReadingListSuggestionsProvider. BUG=702241 Review-Url: https://codereview.chromium.org/2755113002 Cr-Commit-Position: refs/heads/master@{#460039} Committed: https://chromium.googlesource.com/chromium/src/+/c9bff741d84b56d8f5963a398958fe85cc110fae

Patch Set 1 #

Total comments: 37

Patch Set 2 : Address comments #

Total comments: 6

Patch Set 3 : Address comments #

Total comments: 16

Patch Set 4 : Address comments #

Patch Set 5 : Move test to their target #

Total comments: 7

Patch Set 6 : Address comments #

Total comments: 2

Patch Set 7 : Fix strings #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+256 lines, -1 line) Patch
M components/ntp_snippets/BUILD.gn View 1 2 3 4 5 4 chunks +5 lines, -0 lines 0 comments Download
M components/ntp_snippets/DEPS View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M components/ntp_snippets/category.h View 1 1 chunk +3 lines, -0 lines 0 comments Download
M components/ntp_snippets/category_rankers/constant_category_ranker.cc View 1 2 3 chunks +3 lines, -1 line 0 comments Download
M components/ntp_snippets/content_suggestions_metrics.cc View 3 chunks +5 lines, -0 lines 0 comments Download
A components/ntp_snippets/reading_list/reading_list_suggestions_provider.h View 1 2 3 1 chunk +66 lines, -0 lines 0 comments Download
A components/ntp_snippets/reading_list/reading_list_suggestions_provider.cc View 1 2 3 1 chunk +114 lines, -0 lines 2 comments Download
A components/ntp_snippets/reading_list/reading_list_suggestions_provider_unittest.cc View 1 2 3 4 5 1 chunk +50 lines, -0 lines 0 comments Download
M components/ntp_snippets_strings.grdp View 1 2 3 4 5 6 1 chunk +8 lines, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 45 (14 generated)
gambard
PTAL. Feel free to add others if you think a discussion about the place of ...
7 months ago (2017-03-17 14:26:10 UTC) #2
Marc Treib
https://codereview.chromium.org/2755113002/diff/1/components/ntp_snippets/category.h File components/ntp_snippets/category.h (right): https://codereview.chromium.org/2755113002/diff/1/components/ntp_snippets/category.h#newcode37 components/ntp_snippets/category.h:37: // Reading List entries available. Pages that the user ...
7 months ago (2017-03-17 14:44:01 UTC) #3
gambard
Thanks, PTAL. https://codereview.chromium.org/2755113002/diff/1/components/ntp_snippets/category.h File components/ntp_snippets/category.h (right): https://codereview.chromium.org/2755113002/diff/1/components/ntp_snippets/category.h#newcode37 components/ntp_snippets/category.h:37: // Reading List entries available. On 2017/03/17 ...
7 months ago (2017-03-20 08:32:40 UTC) #4
tschumann
quick drive-by. https://codereview.chromium.org/2755113002/diff/20001/components/ntp_snippets/ios/reading_list_suggestions_provider.h File components/ntp_snippets/ios/reading_list_suggestions_provider.h (right): https://codereview.chromium.org/2755113002/diff/20001/components/ntp_snippets/ios/reading_list_suggestions_provider.h#newcode25 components/ntp_snippets/ios/reading_list_suggestions_provider.h:25: public ReadingListModelObserver { I wonder if we ...
7 months ago (2017-03-20 08:58:13 UTC) #5
Marc Treib
Jan/Bernhard, please chime in on the ios/ subfolder discussion :) https://codereview.chromium.org/2755113002/diff/1/components/ntp_snippets/category_rankers/constant_category_ranker.cc File components/ntp_snippets/category_rankers/constant_category_ranker.cc (right): https://codereview.chromium.org/2755113002/diff/1/components/ntp_snippets/category_rankers/constant_category_ranker.cc#newcode84 ...
7 months ago (2017-03-20 09:55:27 UTC) #7
tschumann
https://codereview.chromium.org/2755113002/diff/20001/components/ntp_snippets/ios/reading_list_suggestions_provider.h File components/ntp_snippets/ios/reading_list_suggestions_provider.h (right): https://codereview.chromium.org/2755113002/diff/20001/components/ntp_snippets/ios/reading_list_suggestions_provider.h#newcode32 components/ntp_snippets/ios/reading_list_suggestions_provider.h:32: // ContentSuggestionsProvider implementation. On 2017/03/20 09:55:26, Marc Treib wrote: ...
7 months ago (2017-03-20 09:59:58 UTC) #8
jkrcal
https://codereview.chromium.org/2755113002/diff/1/components/ntp_snippets/ios/BUILD.gn File components/ntp_snippets/ios/BUILD.gn (right): https://codereview.chromium.org/2755113002/diff/1/components/ntp_snippets/ios/BUILD.gn#newcode1 components/ntp_snippets/ios/BUILD.gn:1: # Copyright 2017 The Chromium Authors. All rights reserved. ...
7 months ago (2017-03-20 11:50:00 UTC) #9
gambard
On 2017/03/20 11:50:00, jkrcal wrote: > https://codereview.chromium.org/2755113002/diff/1/components/ntp_snippets/ios/BUILD.gn > File components/ntp_snippets/ios/BUILD.gn (right): > > https://codereview.chromium.org/2755113002/diff/1/components/ntp_snippets/ios/BUILD.gn#newcode1 > ...
7 months ago (2017-03-20 13:53:27 UTC) #10
Marc Treib
On 2017/03/20 13:53:27, gambard wrote: > On 2017/03/20 11:50:00, jkrcal wrote: > > > https://codereview.chromium.org/2755113002/diff/1/components/ntp_snippets/ios/BUILD.gn ...
7 months ago (2017-03-20 14:26:48 UTC) #11
gambard
Thanks, PTAL. I am still in ios/ but it is possible to build from the ...
7 months ago (2017-03-23 15:45:52 UTC) #12
Marc Treib
https://codereview.chromium.org/2755113002/diff/40001/components/ntp_snippets/BUILD.gn File components/ntp_snippets/BUILD.gn (right): https://codereview.chromium.org/2755113002/diff/40001/components/ntp_snippets/BUILD.gn#newcode168 components/ntp_snippets/BUILD.gn:168: "//components/ntp_snippets/ios", This seems wrong. The general build file shouldn't ...
7 months ago (2017-03-23 17:12:21 UTC) #13
gambard
Thanks, PTAL. I have moved it to reading_list/ , in a separate target. https://codereview.chromium.org/2755113002/diff/40001/components/ntp_snippets/BUILD.gn File ...
7 months ago (2017-03-23 17:49:39 UTC) #14
Marc Treib
lgtm Some more nits, and a suggestion re build file setup. Please wait for another ...
7 months ago (2017-03-23 19:01:50 UTC) #15
jkrcal
lgtm https://codereview.chromium.org/2755113002/diff/40001/components/ntp_snippets/BUILD.gn File components/ntp_snippets/BUILD.gn (right): https://codereview.chromium.org/2755113002/diff/40001/components/ntp_snippets/BUILD.gn#newcode168 components/ntp_snippets/BUILD.gn:168: "//components/ntp_snippets/ios", On 2017/03/23 19:01:49, Marc Treib wrote: > ...
6 months, 4 weeks ago (2017-03-24 08:45:19 UTC) #16
gambard
Thanks! +olivierrobin@ for reading_list include in DEPS +jochen@ for tools/metrics https://codereview.chromium.org/2755113002/diff/40001/components/ntp_snippets/BUILD.gn File components/ntp_snippets/BUILD.gn (right): https://codereview.chromium.org/2755113002/diff/40001/components/ntp_snippets/BUILD.gn#newcode168 ...
6 months, 4 weeks ago (2017-03-24 09:08:51 UTC) #18
jochen (gone - plz use gerrit)
hey, I can only review UseCounter additions. Please ask a member of the metrics team ...
6 months, 4 weeks ago (2017-03-24 09:09:41 UTC) #19
gambard
+jwd@: PTAL histograms.xml
6 months, 4 weeks ago (2017-03-24 09:16:02 UTC) #21
Olivier
https://codereview.chromium.org/2755113002/diff/100001/components/ntp_snippets/BUILD.gn File components/ntp_snippets/BUILD.gn (right): https://codereview.chromium.org/2755113002/diff/100001/components/ntp_snippets/BUILD.gn#newcode112 components/ntp_snippets/BUILD.gn:112: "//components/reading_list/core", I would prefer not add a dependency to ...
6 months, 4 weeks ago (2017-03-24 09:43:14 UTC) #22
Olivier
https://codereview.chromium.org/2755113002/diff/1/components/ntp_snippets/ios/BUILD.gn File components/ntp_snippets/ios/BUILD.gn (right): https://codereview.chromium.org/2755113002/diff/1/components/ntp_snippets/ios/BUILD.gn#newcode1 components/ntp_snippets/ios/BUILD.gn:1: # Copyright 2017 The Chromium Authors. All rights reserved. ...
6 months, 4 weeks ago (2017-03-24 09:57:03 UTC) #23
gambard
Maybe the best solution is to land this as one target then create a bug ...
6 months, 4 weeks ago (2017-03-24 15:50:26 UTC) #24
jwd
histograms LGTM
6 months, 4 weeks ago (2017-03-24 18:00:52 UTC) #25
Marc Treib
https://codereview.chromium.org/2755113002/diff/1/components/ntp_snippets/ios/BUILD.gn File components/ntp_snippets/ios/BUILD.gn (right): https://codereview.chromium.org/2755113002/diff/1/components/ntp_snippets/ios/BUILD.gn#newcode1 components/ntp_snippets/ios/BUILD.gn:1: # Copyright 2017 The Chromium Authors. All rights reserved. ...
6 months, 3 weeks ago (2017-03-27 08:19:22 UTC) #26
Marc Treib
On 2017/03/24 15:50:26, gambard wrote: > Maybe the best solution is to land this as ...
6 months, 3 weeks ago (2017-03-27 08:20:37 UTC) #27
Bernhard Bauer
https://codereview.chromium.org/2755113002/diff/120001/components/ntp_snippets/reading_list/reading_list_suggestions_provider.cc File components/ntp_snippets/reading_list/reading_list_suggestions_provider.cc (right): https://codereview.chromium.org/2755113002/diff/120001/components/ntp_snippets/reading_list/reading_list_suggestions_provider.cc#newcode72 components/ntp_snippets/reading_list/reading_list_suggestions_provider.cc:72: LOG(DFATAL) << "ReadingListSuggestionsProvider has no |Fetch| functionality!"; DFATAL smells ...
6 months, 3 weeks ago (2017-03-27 15:15:02 UTC) #28
Marc Treib
https://codereview.chromium.org/2755113002/diff/120001/components/ntp_snippets/reading_list/reading_list_suggestions_provider.cc File components/ntp_snippets/reading_list/reading_list_suggestions_provider.cc (right): https://codereview.chromium.org/2755113002/diff/120001/components/ntp_snippets/reading_list/reading_list_suggestions_provider.cc#newcode72 components/ntp_snippets/reading_list/reading_list_suggestions_provider.cc:72: LOG(DFATAL) << "ReadingListSuggestionsProvider has no |Fetch| functionality!"; On 2017/03/27 ...
6 months, 3 weeks ago (2017-03-27 15:19:29 UTC) #29
Olivier
lgtm https://codereview.chromium.org/2755113002/diff/1/components/ntp_snippets/ios/BUILD.gn File components/ntp_snippets/ios/BUILD.gn (right): https://codereview.chromium.org/2755113002/diff/1/components/ntp_snippets/ios/BUILD.gn#newcode1 components/ntp_snippets/ios/BUILD.gn:1: # Copyright 2017 The Chromium Authors. All rights ...
6 months, 3 weeks ago (2017-03-27 15:29:24 UTC) #30
gambard
Thanks!
6 months, 3 weeks ago (2017-03-27 15:37:39 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755113002/120001
6 months, 3 weeks ago (2017-03-27 15:38:43 UTC) #34
commit-bot: I haz the power
Try jobs failed on following builders: ios-simulator on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-simulator/builds/180533)
6 months, 3 weeks ago (2017-03-27 19:37:05 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755113002/120001
6 months, 3 weeks ago (2017-03-28 07:52:23 UTC) #42
commit-bot: I haz the power
6 months, 3 weeks ago (2017-03-28 07:59:12 UTC) #45
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/c9bff741d84b56d8f5963a398958...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa